%define module_version 0.04
%define module_name Cache-Memcached-Sweet
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cache/Memcached.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: sugary memcached with callbacks 
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/ST/STIGTSP/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
use Cache::Memcached::Sweet; # exports the subroutine "memcached"

  my $value = memcached($key, sub { 
 _return some_expensive_operation($foo, $bar, $baz);
  });

  my $value = memcached($key); # retrieve value

  memcached($other_key, { a => 1, b => 2 }, 600); # set value with TTL
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install
sed -i -e '126s/42/1/' %buildroot%perl_vendor_privlib/Cache/Memcached/Sweet.pm
sed -i -e "127s/42/1/" %buildroot%perl_vendor_privlib/Cache/Memcached/Sweet.pm

%files
%doc README Changes LICENSE
%perl_vendor_privlib/C*

%changelog
* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Thu Dec 25 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

